/* Core Font Size Classes */
.app-fs-xs {
	font-size: 8px;
}

/* Extra Small */
.app-fs-sm {
	font-size: 12px;
}

/* Small */
.app-fs-md {
	font-size: 16px;
}

/* Medium */
.app-fs-lg {
	font-size: 24px;
}

/* Large */
.app-fs-xl {
	font-size: 32px;
}

/* Extra Large */
.app-fs-2xl {
	font-size: 40px;
}

/* 2X Large */
.app-fs-3xl {
	font-size: 48px;
}

/* 3X Large */
.app-fs-4xl {
	font-size: 56px;
}

/* 4X Large */
.app-fs-5xl {
	font-size: 64px;
}

.err-lbl p,
.err-lbl-mdl p {
	margin-bottom: 0px !important;
	font-weight: normal;
	font-size: 12px !important;
}

.err-lbl-mdl {
	margin-bottom: 0px !important;
	font-weight: normal;
	font-size: 10px !important;
}

/* pagination buttons  */
.pagination-button-group {
	display: flex;
	align-items: center;
}

.pagination-button-group .btn {
	width: 30px !important;
	height: 30px !important;
	display: flex;
	align-items: center;
	justify-content: center;
	border-top: 1px solid #77777730 !important;
	border-bottom: 1px solid #77777730 !important;
	border-radius: 0px !important;
	padding: 10px !important;
	text-align: center;
}

.pagination-button-group .btn i {
	padding: 0px !important;
	color: #333 !important;
	font-weight: bold;
	font-size: 14px !important;
}

.paginate-border-left {
	border-left: 1px solid #77777730 !important;
}

.paginate-border-right {
	border-right: 1px solid #77777730 !important;
}

.pagination-button-group .input-field,
.input-field:focus {
	width: 40px;
	height: 30px;
	border: 1px solid #77777730 !important;
	text-align: center;
	box-shadow: none !important;
	outline: none !important;
	font-weight: 500;
	color: #333;
}

.no-data-img-table {
	width: 20%;
}

.floating {
	animation: float ease-in-out infinite;
	animation-duration: var(--float-duration, 5s);
	/* Default duration is 5s if not set */
}

@keyframes float {
	0% {
		transform: translateY(0);
	}

	50% {
		transform: translateY(-20px);
	}

	100% {
		transform: translateY(0);
	}
}

/* Loading Animations  */
/* Full page loader styling */
#full-page-loader {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	background-color: rgba(255, 255, 255, 0.8);
	/* Semi-transparent background */
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 9999;
	/* Ensure loader is on top */
}

/* Spinner styling */
.spinner {
	width: 30px;
	height: 30px;
	border: 2px solid #ccc;
	border-top-color: #007bff;
	/* Color for spinner */
	border-radius: 50%;
	animation: spin 1s linear infinite;
}

@keyframes spin {
	from {
		transform: rotate(0deg);
	}

	to {
		transform: rotate(360deg);
	}
}

/* Skeleton Loaders  */

.skeleton-box {
	background-color: #e0e0e0;
	border-radius: 4px;
	display: inline-block;
	animation: skeleton-loading 1.2s infinite linear;
}

@keyframes skeleton-loading {
	0% {
		background-color: #e0e0e0;
	}

	50% {
		background-color: #f0f0f0;
	}

	100% {
		background-color: #e0e0e0;
	}
}

/* Theme Customized Codes  */
.form-control,
.form-control:focus {
	box-shadow: none !important;
}
@media only screen and (max-width: 768px) {
	.paginate-label {
		font-size: 10px; /* Font size for devices with a width of 768px or smaller */
	}
}

CSS

/* Font Size Utilities */

.app-fs-10 {
	font-size: 10px !important;
}

.app-fs-12 {
	font-size: 12px !important;
}

.app-fs-14 {
	font-size: 14px !important;
}

.app-fs-16 {
	font-size: 16px !important;
}

.app-fs-18 {
	font-size: 18px !important;
}

.app-fs-20 {
	font-size: 20px !important;
}

.app-fs-22 {
	font-size: 22px !important;
}

.app-fs-24 {
	font-size: 24px !important;
}

.app-fs-26 {
	font-size: 26px !important;
}

.app-fs-28 {
	font-size: 28px !important;
}

.app-fs-30 {
	font-size: 30px !important;
}

.app-fs-32 {
	font-size: 32px !important;
}

.app-fs-34 {
	font-size: 34px;
}

.app-fs-36 {
	font-size: 36px !important;
}

.app-fs-38 {
	font-size: 38px !important;
}

.app-fs-40 {
	font-size: 40px !important;
}

.app-fs-42 {
	font-size: 42px !important;
}

.app-fs-44 {
	font-size: 44px !important;
}

.app-fs-46 {
	font-size: 46px !important;
}

.app-fs-48 {
	font-size: 48px !important;
}

.app-fs-50 {
	font-size: 50px !important;
}

.app-fs-52 {
	font-size: 52px !important;
}

.app-fs-54 {
	font-size: 54px !important;
}
